import { css } from '@microsoft/fast-element';
import { display } from '@microsoft/fast-foundation';
export const DesignSystemEditorStyles = css `
  ${display('block')} :host {
    width: 100%;
    display: inline-flex;
    font-family: Roboto, 'Segoe UI', Arial, Helvetica, sans-serif;
    font-style: normal;
    font-weight: 400;
  }

  .configuration {
    background: #fafafa;
    color: #333;
    width: 300px;
    flex: none;
    padding: 15px;
    font-size: 12px;
  }

  input {
    font-size: 12px;
  }

  .configuration .row {
    display: flex;
    min-height: 45px;
    justify-content: center;
    align-items: center;
  }

  #bodyfont {
    align-items: center;
    margin-bottom: 8px;
    margin-top: 10px;
  }

  #color {
    align-items: center;
  }

  #darkmode {
    align-items: center;
    margin-bottom: 10px;
  }

  .configuration .label {
    width: 100px;
    flex: none;
    padding-right: 10px;
  }

  .configuration .input {
    flex: auto;
  }

  .color-input-row {
    display: flex;
    flex-direction: row;
  }

  input[type='color'] {
    border: none;
    padding: 0;
    margin-right: 8px;
    background: none;
    width: 30px;
    height: 30px;
  }

  .preview {
    flex: auto;
    background: var(--fill-color);
    color: var(--neutral-foreground-rest);
    height: 100%;
    overflow: auto;
  }

  alpha-select {
    min-width: 190px;
  }

  alpha-combobox {
    min-width: 100px;
  }

  alpha-slider-label {
    font-size: 10px;
  }

  alpha-slider {
    margin-top: 12px;
  }

  alpha-slider::part(thumb-container) {
    border: 1px solid var(--neutral-stroke-hover);
    border-radius: calc(var(--control-corner-radius) * 1px);
  }

  alpha-checkbox::part(control) {
    width: 32px;
  }

  alpha-checkbox::part(label) {
    color: #333;
    padding: 15px;
    font-size: 12px;
    font-family: Roboto, 'Segoe UI', Arial, Helvetica, sans-serif;
  }

  .radio-button {
    height: 42px;
    padding: 0 10px;
    margin-bottom: 24px;
  }

  .radio-button::part(label) {
    color: black;
  }

  .footer-row {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-top: 20px;
  }

  alpha-text-field::part(root) {
    height: 30px;
  }

  alpha-button {
    margin: 0;
  }
`;
